<?


include 'connect.php';

switch($_GET['act'])
{
//Фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add':

$ava=$_POST['ava'];
//Если файл получен
if($_FILES['ava']['tmp_name']){
   //Получаем информацию об изображении
   $info = getimagesize($_FILES['ava']['tmp_name']); 
   //Создаем картинку в соответствии с ее типом
   if($info['mime']=='image/jpeg'){
   $create=imagecreatefromjpeg($_FILES['ava']['tmp_name']);
   } else {
      if($info['mime']=='image/gif'){
      $create=imagecreatefromgif($_FILES['ava']['tmp_name']);
      } else {
	     if($info['mime']=='image/png'){
         $create=imagecreatefrompng($_FILES['ava']['tmp_name']);
         } else { 
		 echo 'Неподдерживаемый формат изображения!';
		 $error=1;
		 }
      }
   }

 //Если формат поддерживается
if ($error != 1) {
$reg = mysql_query("select * from `users_photo` where `user`='".$u['id']."' LIMIT 1");
if (mysql_num_rows($reg) != 0) {
mysql_query("UPDATE `users_photo` SET `page` = '0' WHERE `user` = '".$u['id']."'");
}

      mysql_query("INSERT INTO `users_photo` SET
        `user` = '".$u['id']."',
		`time` = '".time()."',
        `page` = '1'
      ");
      $name=mysql_insert_id();

//Ищем папку пользователя, если нет создаем
   $arhiv =  intval(($u['id']/1000)+1);
if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photo') || !is_dir('base/'.$arhiv.'/'.$u['id'].'/photo_small') || !is_dir('base/'.$arhiv.'/'.$u['id'].'/photo_micro')){
   if(!is_dir('base/'.$arhiv.'')){
   @mkdir("base/".$arhiv."", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'')){
   @mkdir("base/".$arhiv."/".$u['id']."", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photo')){
   @mkdir("base/".$arhiv."/".$u['id']."/photo", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photo_small')){
   @mkdir("base/".$arhiv."/".$u['id']."/photo_small", 0777);
   }
   if(!is_dir('base/'.$arhiv.'/'.$u['id'].'/photo_micro')){
   @mkdir("base/".$arhiv."/".$u['id']."/photo_micro", 0777);
   }
}

    //Получаем уменьшенный размер (для большой авы)
   $w=$info[0];
   $h=$info[1];
if($w > 500 || $h > 500){
   if($w>$h){
   $o=$w/$h;
   $ww=$w/500;
   $w=$w/$ww;
   $hh=$h/(500/$o);
   $h=$h/$hh;
   } else {
   $o=$h/$w;
   $hh=$h/500;
   $h=$h/$hh;
   $ww=$w/(500/$o);
   $w=$w/$ww;
   }
   }

   //Создаем изображение с рассчитанными размерами
   $img=imagecreatetruecolor($w,$h);
   //Уменьшаем исходное изображение
   imagecopyresampled($img,$create,0,0,0,0,$w,$h,$info[0],$info[1]);
   
   //Путь для сохранения
      $dir = 'base/'.$arhiv.'/'.$u['id'].'/photo/'.$name.'.jpg';
      imagejpeg($img,$dir,75);
	  
	  
	 
	 //Получаем уменьшенный размер (для маленькой авы)
   $w=$info[0];
   $h=$info[1];
if($w > 150 || $h > 150){
   if($w>$h){
   $o=$w/$h;
   $ww=$w/150;
   $w=$w/$ww;
   $hh=$h/(150/$o);
   $h=$h/$hh;
   } else {
   $o=$h/$w;
   $hh=$h/150;
   $h=$h/$hh;
   $ww=$w/(150/$o);
   $w=$w/$ww;
   }
   }

   //Создаем изображение с рассчитанными размерами
   $img=imagecreatetruecolor($w,$h);
   //Уменьшаем исходное изображение
   imagecopyresampled($img,$create,0,0,0,0,$w,$h,$info[0],$info[1]);

	  //Путь для сохранения
      $name = $name;
      $dir = 'base/'.$arhiv.'/'.$u['id'].'/photo_small/'.$name.'.jpg';
      imagejpeg($img,$dir,75);
	 
	 //Получаем уменьшенный размер (для микро авы)
   $w=$info[0];
   $h=$info[1];
if($w > 50 || $h > 50){
   if($w>$h){
   $o=$w/$h;
   $ww=$w/50;
   $w=$w/$ww;
   $hh=$h/(50/$o);
   $h=$h/$hh;
   } else {
   $o=$h/$w;
   $hh=$h/50;
   $h=$h/$hh;
   $ww=$w/(50/$o);
   $w=$w/$ww;
   }
   }

   //Создаем изображение с рассчитанными размерами
   $img=imagecreatetruecolor($w,$h);
   //Уменьшаем исходное изображение
   imagecopyresampled($img,$create,0,0,0,0,$w,$h,$info[0],$info[1]);

	  //Путь для сохранения
      $name = $name;
      $dir = 'base/'.$arhiv.'/'.$u['id'].'/photo_micro/'.$name.'.jpg';
      imagejpeg($img,$dir,75);
	 
	  //Освобождаем память
	  imagedestroy($img);

	   if($u['photos']=='0')mysql_query("UPDATE `users` SET `rating` = '".($u['rating']+0.10)."' WHERE `id` = '$u[id]' LIMIT 1");
	mysql_query("UPDATE `users` SET `photos` = '1' WHERE `id` = '$u[id]' LIMIT 1");
	  //echo '<div class = "blockgreen">Фотография успешно загружена!</div>';
      header("Location: photo.php?act=view&id=$name");
}
}
$title = $title.' | Мое фото';
include 'head.php';
//Подзаголовок
echo '<div class="title"><img src= "img/photo.gif"> Моя фотография</div>';
echo '<div class="subtitle">';
echo '<a href = "photo.php"> К фотографиям со страницы</a>';
echo '</div>';

echo '<div class="main_menu">';
//Фото
page_ava($u['id'],75);
echo '<br/><form action="photo.php?act=add" method=post enctype=multipart/form-data>
<input type=file name=ava>
<input type=submit value=Загрузить class=submit white/></form>';


echo '</div>';
include 'foot.php';

break;

//Просмотр фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'view':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users_photo` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $photo = mysql_fetch_assoc($req);
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$photo['user']."' LIMIT 1"));
   }
}

//Если существует
if ($photo){
$arhiv =  intval(($user['id']/1000)+1);

//Запись комментария, если сообщение получено
if($u['id'] and $_POST['message']){
$message = check(substr($_POST['message'], 0, 500));
   //Проверяем на флуд
   $flood = mysql_query("SELECT `time` FROM `users_photo_comm` WHERE `user` = '".$u['id']."' AND `time` > '" . (time() - 3) . "'");
   if (mysql_num_rows($flood) > 0) {
   header ("Location: photo.php?act=view&id=".$photo['id']."");
   exit;
   }
   // Проверка на одинаковые сообщения
   $req = mysql_query("SELECT * FROM `users_photo_comm` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' ORDER BY `time` DESC");
   $res = mysql_fetch_array($req);
   if ($res['message'] == $message) {
   header ("Location: photo.php?act=view&id=".$photo['id']."");
   exit;
   }
// Вставляем сообщение в базу
mysql_query("INSERT INTO `users_photo_comm` SET
`user` = '".$u['id']."',
`message` = '$message',
`time` = '".time()."',
`photo` = '".$photo['id']."'
");

header ("Location: photo.php?act=view&id=".$photo['id']."");
}

if($user['id'] == $u['id']) $zag = 'Моя фотография';
else $zag = 'Фотография со страницы <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Фотографии со страницы';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> '.$zag.'</div>';

echo '<div class="subtitle">';
if($user['id'] != $u['id']) echo '<a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> | ';
$all_photo = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `users_photo` WHERE `user` = '".$user['id']."'"), 0);
echo '<a href = "photo.php?id='.$user['id'].'">Все фото со страницы</a> ('.$all_photo.')';
echo '</div>';

echo '<div class="main_menu">';
//Установка на страницу
if($_GET['mainpage'] && $photo['user'] == $u['id']){
mysql_query("UPDATE `users_photo` SET `page` = '0' WHERE `user` = '".$u['id']."'");
mysql_query("UPDATE `users_photo` SET `page` = '1' WHERE `user` = '".$u['id']."' and `id` = '".$photo['id']."'");
$photo['page'] = 1;
echo '<div class = "action">Фотография установлена на страницу!</div><hr>';
}

//Рейтинг (Мне нрав)
if($_GET['like'] && isset($u['id'])){
$req = mysql_query("SELECT * FROM `users_photo_like` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' LIMIT 1");
   if (!mysql_num_rows($req)) {
   $photo['rating']++;
   mysql_query("INSERT INTO `users_photo_like` SET
   `user` = '".$u['id']."',
   `time` = '".time()."',
   `photo` = '".$photo['id']."'
   ");
   mysql_query("UPDATE `users_photo` SET
   `rating` = '".$photo['rating']."'
   WHERE `id` = '".$photo['id']."'
   ");
      //Записываем в журнал
      if($photo['user'] != $u['id']){
      if($u['sex'] == 'm'){
      $action[0] = 'Отметил';
      $action[1] = 'ему';
      } else {
      $action[0] = 'Отметила';
      $action[1] = 'ей';
      }
      $text = $action[0].' что '.$action[1].' понравилась ваша <a href = "photo.php?act=view&id='.$photo['id'].'">фотография</a>.';
      mysql_query("INSERT INTO `jurnal` SET
      `user` = '".$user['id']."',
      `outuser` = '".$u['id']."',
      `text` = '$text',
      `time` = '".time()."',
      `new` = '1'
      ");
	  }
   }
}

echo '<a href = "base/'.$arhiv.'/'.$user['id'].'/photo/'.$photo['id'].'.jpg"><img src = "base/'.$arhiv.'/'.$user['id'].'/photo_small/'.$photo['id'].'.jpg" width = "75" ></a><br/>';
echo 'Добавлена: '.vremya($photo['time']).'<br>';
echo '<hr>';
$req = mysql_query("SELECT * FROM `users_photo_like` WHERE `user` = '".$u['id']."' AND `photo` = '".$photo['id']."' LIMIT 1");
   if (!mysql_num_rows($req)) $like = '<a href = "photo.php?act=view&id='.$photo['id'].'&like=1">Мне нрав</a> ('.$photo['rating'].')'; else $like = $photo['rating'];
echo '<img src = "img/save.gif"> <a href = "base/'.$arhiv.'/'.$user['id'].'/photo/'.$photo['id'].'.jpg">Скачать</a> | <img src = "img/like.png"> '.$like.'';
echo '<hr>';

if ($photo['user'] == $u['id']) { 
   if($photo['page'] == 1){
   echo '<img src = "img/photo_page.gif"> Установлена на странице<br/>';
   } else {
   echo '<img src   = "img/photo_page.gif"> <a href = "photo.php?act=view&id='.$photo['id'].'&mainpage=1">Установить на страницу</a> <br/>';
   }
echo '<img src = "img/photo.gif"> <a href = "photo.php?act=add">Загрузить новую</a><br/>';
echo '<img src = "img/delete.gif"><a href = "photo.php?act=delete&id='.$photo['id'].'">Удалить</a><hr>'; }

//Блок ввода сообщения
if ($u['id']) {
$o = abs(intval($_GET['o']));
$user = mysql_fetch_assoc(mysql_query("SELECT `login` FROM `users` WHERE `id` = '".$o."'"));
if($user['login']) $otv = $user['login'].', ';
echo '
<b>Комментарии</b>: <form action="photo.php?act=view&id='.$photo['id'].'" method="post">';
echo '<textarea cols="20" rows="2" name="message">';
echo $otv;
echo '</textarea><br/>';
echo "<input type='submit' title='Нажмите для отправки' name='submit' value='Написать'  class='submit white'/>
</form><hr>";
} else {
echo '<div class="act">Для возможности комментировать пройдите <a href = "index.php"><b>авторизацию</b></a> или 
<a href = "reg.php"><b>зарегистрируйтесь</b></a>!:)</div>';
}

//Удаление
if($u['admin'] == 1 || $u['id'] == $photo['user']){
   if($_GET['del']){
   $del = num($_GET['del']);
   $commcheck = mysql_num_rows(mysql_query("SELECT * FROM `users_photo_comm` WHERE `id` = '$del' LIMIT 1"));
   if ($commcheck) {
   mysql_query("DELETE FROM `users_photo_comm` WHERE `id` = '$del'");
   echo '<div class = "action">Комментарий удален!</div><hr>';
   }
   }
}

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_photo_comm` WHERE `photo` = '".$photo['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 15) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 15 - 15;
$result = mysql_query("SELECT * FROM `users_photo_comm` WHERE `photo` = '".$photo['id']."' ORDER BY `time` DESC LIMIT $start, 15");
   while($comm = mysql_fetch_assoc($result)){
   $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$comm["user"]."'"));
   $message = checkout($comm['message']);	  
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  echo '<table>
  <tr>
    <td>';
	ava($user['id'],35);
	echo '</td>
	<td VALIGN=top>';
	echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).' ('.vremya($comm['time']).')'; if($u['admin'] == 1 || $u['id'] == $photo['user']){ echo '  <a href = "photo.php?act=view&id='.$photo['id'].'&del='.$comm['id'].'"><img src = "img/delete.gif"></a>'; }
	echo '<br/><font color = "#000">';
	  smiles($message);
	  echo '</font><br/>';
	echo '</td>
  </tr>
</table>';
echo '<hr>';
	  echo '</div>';
	  	  $i++;
   }  
   navigation($page, $total,'photo.php?act=view&id='.$photo['id'].'&');
}else{
echo 'Комментариев еще нет!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}
break;

//Удаление фото ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete':
if($u['id']){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users_photo` WHERE `id` = '$id' AND `user` = '".$u['id']."' LIMIT 1");
   if (mysql_num_rows($req)) {
   $photo = mysql_fetch_assoc($req);
   }
}
if($photo){
$arhiv =  intval(($u['id']/1000)+1);
$zag = 'Моя фотография';

$title = $title.' | '.$zag.'';
include 'head.php';
echo '<div class="title"><img src= "img/photos.gif"> '.$zag.'</div>';

echo '<div class="subtitle">';
echo '<a href = "photo.php">К фотографиям со страницы</a>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  if($photo['page'] == 1){
	     $req = mysql_query("SELECT * FROM `users_photo` WHERE `user` = '".$u['id']."' and `page` = '0' LIMIT 1");
         if (mysql_num_rows($req) != 0) {
	     $req = mysql_query("SELECT * FROM `users_photo` WHERE `user` = '".$u['id']."' and `page` = '0' ORDER BY `time` DESC");
         $res = mysql_fetch_array($req);
		 mysql_query("UPDATE `users_photo` SET `page` = '1' WHERE `id` = '".$res['id']."'");
	     }
		 }
      unlink('base/'.$arhiv.'/'.$u['id'].'/photo/'.$photo['id'].'.jpg');
	  unlink('base/'.$arhiv.'/'.$u['id'].'/photo_small/'.$photo['id'].'.jpg');
	  unlink('base/'.$arhiv.'/'.$u['id'].'/photo_micro/'.$photo['id'].'.jpg');
	  mysql_query("DELETE FROM `users_photo` WHERE `id` = '".$photo['id']."'");
	  mysql_query("DELETE FROM `users_photo_comm` WHERE `photo` = '".$photo['id']."'");
	  mysql_query("DELETE FROM `users_photo_like` WHERE `photo` = '".$photo['id']."'");  
      echo '<div class = "action">Фото успешно удалено!</div>';
      } else {
	  echo '<table>
      <tr>
      <td VALIGN=top>';
	  echo '<a href = "photo.php?act=view&id='.$photo['id'].'"><img src = "base/'.$arhiv.'/'.$u['id'].'/photo_small/'.$photo['id'].'.jpg" height = "50" ></a>';
	  echo '</td>
	  <td VALIGN=top>';
	  echo 'Вы уверены, что хотите удалить фото?<br/>';
	  echo '<form action="photo.php?act=delete&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
	  echo '</td>
      </tr>
      </table>';
      }
echo '</div>';
include 'foot.php';
} else {
header ("Location: photo.php");
}
} else {
header ("Location: index.php");
}
break;

//Список фотографий ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Если id получен 
$id=num($_GET['id']);
if(!$id) $id=$u['id'];
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
}
if(!$user['id']){
header ("Location: index.php");
exit;
}

if($id == $u['id']) $zag = 'Мои фотографии со страницы';
else $zag = 'Фотографии со страницы <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | '.$zag.'';
include 'head.php';

//Подзаголовок
if($u['id'])
echo '<div class="title"><img src= "img/photo.gif"> '.$zag.'</div>';
else
echo '<div class="title"><img src= "img/photo.gif"> '.$zag.'</div>';

if($id == $u['id']) echo '<div class="subtitle"><img src = "img/photo.gif"> <a href = "photo.php?act=add">Загрузить новую</a></div>';

echo '<div class="main_menu">';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_photo` WHERE `user` = '$id'"), 0);
if($all > 0){
$arhiv =  intval(($user['id']/1000)+1);

$total = intval(($all - 1) / 10) + 1;
   $page = intval($_GET['page']);
   if(empty($page) or $page < 0) $page = 1; 
   if($page > $total) $page = $total;
   $start = $page * 10 - 10;
   $result = mysql_query("SELECT * FROM `users_photo` WHERE `user` = '$id' ORDER BY `time` DESC LIMIT $start, 10");
   while($photo = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
      echo '<table>
      <tr>
      <td VALIGN=top>';
	  echo '<a href = "photo.php?act=view&id='.$photo['id'].'"><img src = "base/'.$arhiv.'/'.$user['id'].'/photo_small/'.$photo['id'].'.jpg" height = "50" ></a>';
	  echo '</td>
	  <td VALIGN=top>';
	  echo '<a href = "photo.php?act=view&id='.$photo['id'].'">Просмотр</a><br/>';
	  echo '<a href = "photos.php?act=photo&id='.$photo['id'].'">'.$name.'</a> Добавлена: '.vremya($photo['time']).'<br/>';
	  echo '</td>
      </tr>
      </table>';
	  echo '<hr>';
      echo '</div>';
	  $i++;
   }  
   navigation($page, $total,'photo.php?id='.$id.'&');
}else{
echo 'Фотографий еще нет!';
}
echo '</div>';
include 'foot.php';
break;
	  
}

?>

